Unable to install docdirect directory wordpress theme

Error message is " The link you followed has expired.

[Please try again.]

Please help

Can somebody help me please?

Hey there. These are the general forums! Please post your question on DocDirect Item Comment section to get help directly from the author. Cheers! :slight_smile: